Bug 130373 - Since update, substitute color only works if left set to transparent.
Summary: Since update, substitute color only works if left set to transparent.
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
6.4.0.3 release
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0 target:6.4.1
Keywords: bibisected, bisected, needUITest, regression
Depends on:
Blocks:
 
Reported: 2020-02-03 02:00 UTC by Wil Hostman
Modified: 2020-02-17 15:51 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (85.14 KB, application/pdf)
2020-02-10 10:39 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wil Hostman 2020-02-03 02:00:54 UTC
Description:
Loaded a PDF map (single page). Attempting to alter colors; I can remove to transparent, but I cannot get changes to any other colors.

Steps to Reproduce:
1. open a PDF of a single page map
2. menu: tools > color replacer
3. tick the checkbox for the top swap
4. select the color to swap box next to the tickbox
5. click on a color in the image.
6. hit the dropdown for ending color to the right of the one just filled. 
7. select anything other than transparent
8. hit the Replace button.

Verification of bug additional
before replace...
7.1 click the second row tickbox
7.2 select a different color
7.3 do not change the default.
then 8 as before
then...
9 change the destination color to transparent in the drop-down
10 click Replace again.

Actual Results:
After 8, the color remains what it was.
after 10, it disappears.

Expected Results:
After 8, it should appear in the color selected.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Regina Henschel 2020-02-03 13:30:09 UTC
I have noticed too, that the Color Replacer is broken.

I see it broken in current master and in e.g. in Version: 6.4.0.0.alpha0+ (x64)
Build ID: 01837a85004a6f891a09c0a63ed7eff75d634827
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-09-01_00:07:05
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

It was OK in Version: 6.4.0.0.alpha0+ (x64)
Build ID: c30ea50dd2b1c557dfbefc1a4c660fbf2402a604
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-06-05_00:23:26
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 2 Xisco Faulí 2020-02-10 10:37:18 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=e27be9dfbcf8636a7440f828435b1860dfa38977

author	Noel Grandin <noel.grandin@collabora.co.uk>	2019-07-03 15:07:44 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2019-07-04 09:18:22 +0200
commit	e27be9dfbcf8636a7440f828435b1860dfa38977 (patch)
tree	62a572bc8ad911b011574152c8575f25980c2f45
parent	0ba0cfa9a0173a5cca9e230f980b9f4efde7a794 (diff)
move some Bitmap replace logic inside vcl

Bisected with: bibisect-linux64-6.4

Adding Cc: to Noel Grandin
Comment 3 Xisco Faulí 2020-02-10 10:39:09 UTC
Created attachment 157768 [details]
sample file

Steps:
1. Open attached document
2. Tools - Color Replacer
3. Click on the Pipette
4. Select the black background
5. Select a color in Replace with
6. Click on Replace

-> Nothing happens
Comment 4 Commit Notification 2020-02-14 12:29:14 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/407c45d54c189d5e9488e868e503f02955825b82

tdf#130373 substitute color only works if left set to transparent.

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-02-15 10:36:17 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: aa58c380894dd384f6ce1efc62b3932136f2f477
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Noel, thanks for fixing this issue!!
Comment 6 Commit Notification 2020-02-15 12:19:38 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/ed9bee5429294833476685b66f3e662ae27809b0

tdf#130373 substitute color only works if left set to transparent.

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-02-17 14:38:12 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-1":

https://git.libreoffice.org/core/commit/ab6430960c92efa09b549cd70ee9e4eed47a01fe

tdf#130373 substitute color only works if left set to transparent.

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.